Bug 169172 - Broken removable media icon behaviour with multiple screens on Nautilus 2.2.4
Broken removable media icon behaviour with multiple screens on Nautilus 2.2.4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nautilus (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 17:56 EDT by ajax
Modified: 2015-01-07 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nautilus-2.2.4-cdmount-1.patch (588 bytes, patch)
2005-09-23 17:56 EDT, ajax
no flags Details | Diff

  None (edit)
Description ajax 2005-09-23 17:56:40 EDT
Description of problem:

On multi-screen (non-Xinerama) X configurations, when a CD is inserted, Nautilus
will display the CD icon on all screens.  Right-clicking on the icon to eject
the disk will remove the icon from that screen, but not from any other screen.

Suggested workaround is to only show media icons on the first screen; attached
patch implements this.

Version-Release number of selected component (if applicable): 2.2.4-4E

How reproducible:
Every time.

Steps to Reproduce:
1. Insert CD.
2. Right-click on CD icon.
3. Select Eject from menu.
  
Actual results:
CD icon disappears from first screen.

Expected results:
CD icon disappears from every screen.

Additional info: This problem is specific to Nautilus 2.2.x; 2.3 and later
handle removable media differently, such that a backport is unlikely.
Comment 1 ajax 2005-09-23 17:56:40 EDT
Created attachment 119213 [details]
nautilus-2.2.4-cdmount-1.patch
Comment 2 RHEL Product and Program Management 2007-10-19 14:53:50 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.